Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Onboarding
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's agreements
      GET
  • User
    • List users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Get download link for a CSV file
    • Download a previously uploaded CSV file
  1. Onboarding

Update onboarding application

PUT
/v1/onboardings/{application_id}
Adds or changes company, payout and shareholder data before processing. Only the objects you send are changed and validated. A shareholder with an id is updated, one without an id is created.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK. Returns the full application.
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/v1/onboardings/98c93841-2ca5-42dc-8909-75967b25f27f' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "ownership_category": "ownership_no_major",
    "company": {
        "industry_category": "string",
        "registration_code": "string",
        "tax_id": "string",
        "address": {
            "country": "string",
            "city": "string",
            "street_address": "string",
            "zip": "string"
        },
        "average_transaction": "string",
        "average_daily_transactions": "string"
    },
    "payout": {
        "account_name": "string",
        "iban": "string",
        "bic": "string",
        "currency": "string",
        "country": "string",
        "city": "string",
        "name": "string"
    },
    "shareholders": [
        {
            "id": "string",
            "role": "owner",
            "is_signatory": true,
            "procurator_is_confirmed": true,
            "first_name": "string",
            "last_name": "string",
            "gender": "male",
            "job_title": "string",
            "date_of_birth": "string",
            "email": "string",
            "nationality": "string",
            "ownership_percentage": 0,
            "address": {
                "street_address": "string",
                "zip": "string",
                "city": "string",
                "country": "string",
                "phone": "string"
            }
        }
    ]
}'
Response Response Example
200 - response
{
    "data": {
        "id": "98c96cc9-c5b4-4faa-a6e7-7206c0529b35",
        "account_id": 5,
        "status": "STARTED",
        "status_changed_at": "2023-03-27 11:20:10",
        "ownership_category": "ownership_major",
        "company": {
            "id": "98c96d11-1f0d-4e0b-8f36-0d8d4b7d3a10",
            "industry_category": "4522",
            "tax_id": "NO123456789MVA",
            "registration_code": "123456789",
            "address": {
                "city": "Oslo",
                "country": "NO",
                "street_address": "Storgata 1",
                "zip": "0155"
            },
            "average_transaction": "150.00",
            "average_daily_transactions": "25000.00",
            "documentation": [],
            "created_at": "2023-03-27 11:20:10",
            "updated_at": "2023-03-27 11:20:10"
        },
        "payout": {
            "id": "98c96d22-6a8e-4c0a-9d0e-5f2f1b7c9e21",
            "account_name": "Example AS",
            "bic": "DNBANOKK",
            "iban": "NO9386011117947",
            "currency": "NOK",
            "country": "NO",
            "city": "Oslo",
            "name": "Example Bank",
            "documentation": [],
            "created_at": "2023-03-27 11:20:10",
            "updated_at": "2023-03-27 11:20:10"
        },
        "shareholders": [
            {
                "id": "98c96d33-2b7a-4e55-8a1f-3c9d0e4b6f32",
                "role": "owner",
                "is_signatory": true,
                "ownership_percentage": 100,
                "procurator_is_confirmed": true,
                "first_name": "Ola",
                "last_name": "Nordmann",
                "gender": "male",
                "date_of_birth": "1980-05-17",
                "job_title": "CEO",
                "address": {
                    "city": "Oslo",
                    "country": "NO",
                    "street_address": "Storgata 2",
                    "zip": "0155",
                    "phone": "+4799999999"
                },
                "email": "ola@example.com",
                "nationality": "NO",
                "documentation": null,
                "created_at": "2023-03-27 11:20:10",
                "updated_at": "2023-03-27 11:20:10"
            }
        ],
        "created_at": "2023-03-27 11:20:10",
        "updated_at": "2023-03-27 11:20:10"
    }
}
Modified at 2026-11-12 15:43:24
Previous
Retrieve onboarding application
Next
Delete onboarding application
Built with